package com.license.service;

import com.license.entity.dto.LicenseCheckModel;

import java.util.Map;

/**
 * @author 邱平毅
 * @ClassName LicenseService
 * @date 2022/9/21 9:57
 * @Version 1.0
 */
public interface LicenseService {
    void installLicense() throws Exception;

    /**
     * 获取服务器硬件信息
     */
    LicenseCheckModel getServerInfos();


    void upload(Map fileBaseMap) throws Exception;

    void removeLicense();
}
